tigase.jaxmpp.core.client.xmpp.modules.jingle

## Class JingleModule.JingleSessionInitiationHandler.JingleSessionInitiationEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<JingleModule.JingleSessionInitiationHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule.JingleSessionInitiationHandler.JingleSessionInitiationEvent

- Enclosing interface:
    JingleModule.JingleSessionInitiationHandler

      public static class JingleModule.JingleSessionInitiationHandler.JingleSessionInitiationEvent
      extends JaxmppEvent<JingleModule.JingleSessionInitiationHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JingleSessionInitiationEvent(SessionObject sessionObject, JID sender, String sid, Element description, List<Transport> transports, MutableBoolean handled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(JingleModule.JingleSessionInitiationHandler handler)` Invokes handlers method.
    `Element` | `getDescription()`
    `MutableBoolean` | `getHandled()`
    `JID` | `getSender()`
    `String` | `getSid()`
    `List<Transport>` | `getTransports()`
    `void` | `setDescription(Element description)`
    `void` | `setHandled(MutableBoolean handled)`
    `void` | `setSender(JID sender)`
    `void` | `setSid(String sid)`
    `void` | `setTransports(List<Transport> transports)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JingleSessionInitiationEvent

          public JingleSessionInitiationEvent(SessionObject sessionObject,
                                              JID sender,
                                              String sid,
                                              Element description,
                                              List<Transport> transports,
                                              MutableBoolean handled)

  - ### Method Detail

    - #### dispatch

          public void dispatch(JingleModule.JingleSessionInitiationHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<JingleModule.JingleSessionInitiationHandler>`
      Parameters:
        `handler` - handler

    - #### getDescription

          public Element getDescription()

    - #### setDescription

          public void setDescription(Element description)

    - #### getHandled

          public MutableBoolean getHandled()

    - #### setHandled

          public void setHandled(MutableBoolean handled)

    - #### getSender

          public JID getSender()

    - #### setSender

          public void setSender(JID sender)

    - #### getSid

          public String getSid()

    - #### setSid

          public void setSid(String sid)

    - #### getTransports

          public List<Transport> getTransports()

    - #### setTransports

          public void setTransports(List<Transport> transports)

Copyright © 2006–2023 Tigase. All rights reserved.